com.hazelcast.jet.pipeline

## Interface SinkStage

- All Superinterfaces:
    Stage

      public interface SinkStage
      extends Stage

  A pipeline stage that doesn't allow any downstream stages to be attached to it. Corresponds to a data sink.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SinkStage` | `setLocalParallelism(int localParallelism)` Sets the preferred local parallelism (number of processors per Jet cluster member) this stage will configure its DAG vertices with.
    `SinkStage` | `setName(String name)` Overrides the default name of the stage with the name you choose and returns the stage.

    - ### Methods inherited from interface com.hazelcast.jet.pipeline.Stage

      `getPipeline, name`

- - ### Method Detail

    - #### setLocalParallelism

          @Nonnull
          SinkStage setLocalParallelism(int localParallelism)

      Description copied from interface: `Stage`
      Sets the preferred local parallelism (number of processors per Jet cluster member) this stage will configure its DAG vertices with. Jet always uses the same number of processors on each member, so the total parallelism automatically increases if another member joins the cluster.

      While most stages are backed by 1 vertex, there are exceptions. If a stage uses two vertices, each of them will have the given local parallelism, so in total there will be twice as many processors per member.

      The default value is -1 and it signals to Jet to figure out a default value. Jet will determine the vertex's local parallelism during job initialization from the global default and the processor meta-supplier's preferred value.

      Specified by:
        `setLocalParallelism` in interface `Stage`
      Returns:
        this stage

    - #### setName

          @Nonnull
          SinkStage setName(@Nonnull
                                     String name)

      Description copied from interface: `Stage`
      Overrides the default name of the stage with the name you choose and returns the stage. This can be useful for debugging purposes, to better distinguish pipeline stages in the diagnostic output.
      Specified by:
        `setName` in interface `Stage`
      Parameters:
        `name` - the stage name
      Returns:
        this stage

Copyright © 2020. All rights reserved.